<?php

/**
 * Template part for displaying posts archive
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package monal-mag
 */

?>
<article id="post-<?php the_ID(); ?>" class="flex-1 overflow-hidden bg-white">
    <div class=" ">
        <div class="flex flex-wrap justify-center no-underline hover:no-underline font-poppins">
            <a href="<?php the_permalink(); ?>" class="w-full">

                <?php 
                if (get_the_post_thumbnail_url()) {
                    the_post_thumbnail('full', array('class' => 'object-cover w-full h-64')) ;
                } else {
                    echo "<div class='w-full h-64 bg-gray-500'></div>";
                }
                
                
                ?>
            </a>
            <div class="flex flex-col justify-center p-4 items-center">
                <div class="pt-2 text-sm font-semibold font-poppins text-red-500 capitalize justify-center">
                    <?php the_category(); ?>
                </div>
                <h2 class="px-3 mt-1 mb-3 text-xl font-semibold text-center text-black font-poppins">
                    <a class="text-black hover:text-red-500 transition"
                        href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h2>
                <div class="flex flex-wrap items-center mt-3 mb-3 space-x-2 font-poppins">
                    <span class="text-xs font-semibold text-gray-500 mb-2">
                        <span class='font-medium'> <?php esc_html_e('By','monal-mag') ?> </span>
                        <a class="text-black hover:text-red-500 transition"
                            href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                            <?php echo get_the_author(); ?> </a> </span>
                    <span class="text-xs text-gray-500 mb-2 "> <?php echo esc_html( '|', 'monal-mag' ) ?>&nbsp;
                        <a class="text-black hover:text-red-500 transition"
                            href="<?php the_permalink() ?>"><?php echo get_the_date('F j, Y'); ?> </a> </span>



                </div>
                <span class="text-xs text-gray-500 flex items-center mb-2  font-poppins">

                    <?php
                    $home_tags = get_the_tags();
                    if ($home_tags) {
                    ?>

                    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor"
                        class="bi bi-tags-fill mr-2" viewBox="0 0 16 16">
                        <path
                            d="M2 2a1 1 0 0 1 1-1h4.586a1 1 0 0 1 .707.293l7 7a1 1 0 0 1 0 1.414l-4.586 4.586a1 1 0 0 1-1.414 0l-7-7A1 1 0 0 1 2 6.586V2zm3.5 4a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3z" />
                        <path
                            d="M1.293 7.793A1 1 0 0 1 1 7.086V2a1 1 0 0 0-1 1v4.586a1 1 0 0 0 .293.707l7 7a1 1 0 0 0 1.414 0l.043-.043-7.457-7.457z" />
                    </svg>
                    Tags - &nbsp;
                    <?php
                        foreach ($home_tags as $single_tag) {
                        ?>
                    <a class="text-black hover:text-red-500 transition" href="<?php echo $single_tag->url ?>">
                        <?php echo $single_tag->name; ?>,&nbsp; </a>
                    <?php
                        }
                    }
                    ?>
                </span>
            </div>


        </div>
    </div>
</article>