<?php

/**
 * Template part for displaying posts archive
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package monal-mag
 */

?>
<article id="post-<?php the_ID(); ?>" class="flex gap-6 font-poppins border-b pb-6 p-6 flex-wrap">
    <?php if(get_the_post_thumbnail()){
    ?>
    <a href="<?php the_permalink() ?>">
        <?php the_post_thumbnail('full', array('class' => 'object-cover w-full h-full lg:w-80 lg:h-64')) ?>
    </a>
    <?php
}?>


    <div class="flex items-center flex-1">
        <div>


            <div class="inline-block text-xs font-semibold uppercase prime-text md:text-sm ">
                <?php the_category(); ?></div>

            <a href="<?php the_permalink() ?>">

                <h2 class="mt-3 font-semibold leading-6 text-gray-900 lg:leading-7 font-poppins lg:text-2xl ">
                    <a class="text-black transition break-all prime-hover" href="<?php the_permalink() ?>">
                        <?php the_title(); ?>
                    </a>

                </h2>
            </a>


            <p class="hidden mt-3 text-sm leading-6 text-gray-500 md:block lg:text-md text-clip overflow-hidden ... ">
                <?php echo get_the_excerpt(); ?>
            </p>
            <div class="flex flex-wrap items-center mt-3 space-x-2 ">
                <span class="mb-2 text-xs font-semibold text-gray-500">
                    <span class='font-medium'>BY </span>
                    <a class="text-black transition prime-hover hover:text-red-500"
                        href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                        <?php echo get_the_author(); ?> </a> </span>
                <span class="mb-2 text-xs text-gray-500 "> |&nbsp;
                    <a class="text-black transition prime-hover hover:text-red-500"
                        href="<?php the_permalink() ?>"><?php echo get_the_date('F j, Y'); ?> </a> </span>

                <span class="flex-wrap gap-x-2 gap-y-3.5 flex items-center mb-2 text-xs text-gray-500">

                    <?php
                    $home_tags = get_the_tags();
                    if ($home_tags) {
                    ?>
                    | &nbsp;
                    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor"
                        class="mr-2 bi bi-tags-fill" viewBox="0 0 16 16">
                        <path
                            d="M2 2a1 1 0 0 1 1-1h4.586a1 1 0 0 1 .707.293l7 7a1 1 0 0 1 0 1.414l-4.586 4.586a1 1 0 0 1-1.414 0l-7-7A1 1 0 0 1 2 6.586V2zm3.5 4a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3z" />
                        <path
                            d="M1.293 7.793A1 1 0 0 1 1 7.086V2a1 1 0 0 0-1 1v4.586a1 1 0 0 0 .293.707l7 7a1 1 0 0 0 1.414 0l.043-.043-7.457-7.457z" />
                    </svg>
                    Tags - &nbsp;
                    <?php
                        foreach ($home_tags as $single_tag) {
                        ?>
                    <a class="text-black transition hover:text-red-500 prime-hover" href="<?php echo $single_tag->url ?>">
                        <?php echo $single_tag->name; ?>,&nbsp; </a>
                    <?php
                        }
                    }
                    ?>
                </span>

            </div>
        </div>
    </div>
</article>